# Uses of Class
org.apache.sysds.runtime.data.SparseRow

Packages that use SparseRow
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.data
org.apache.sysds.runtime.matrix.data

## Uses of SparseRow in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type SparseRow
Modifier and Type
Method
Description
`void`
CompressedMatrixBlock.`appendRow(int r, SparseRow row, boolean deep)`

## Uses of SparseRow in org.apache.sysds.runtime.data

Subclasses of SparseRow in org.apache.sysds.runtime.data
Modifier and Type
Class
Description
`final class`
`SparseRowScalar`
`final class`
`SparseRowVector`
A sparse row vector that is able to grow dynamically as values are appended to it.
Methods in org.apache.sysds.runtime.data that return SparseRow
Modifier and Type
Method
Description
`abstract SparseRow`
SparseRow.`append(int col, double v)`
Appends a value to the end of the sparse row.
`SparseRow`
SparseRowScalar.`append(int col, double v)`
`abstract SparseRow`
SparseRow.`copy(boolean deep)`
Make a copy of this row.
`SparseRow`
SparseRowScalar.`copy(boolean deep)`
`SparseRow`
SparseRowVector.`copy(boolean deep)`
`abstract SparseRow`
SparseBlock.`get(int r)`
Get values of row r in the format of a sparse row.
`SparseRow`
SparseBlockCOO.`get(int r)`
`SparseRow`
SparseBlockCSC.`get(int r)`
`SparseRow`
SparseBlockCSR.`get(int r)`
`SparseRow`
SparseBlockDCSR.`get(int r)`
`SparseRow`
SparseBlockMCSC.`get(int r)`
`SparseRow`
SparseBlockMCSR.`get(int r)`
`SparseRow`
SparseBlockCSC.`getCol(int c)`
`SparseRow`
SparseBlockMCSC.`getCol(int c)`
`SparseRow[]`
SparseBlockMCSC.`getCols()`
Helper function for MCSC
`SparseRow[]`
SparseBlockMCSC.`getRows()`
Helper function for MCSC
`SparseRow[]`
SparseBlockMCSR.`getRows()`
Helper function for MCSR -> {COO, CSR}
Methods in org.apache.sysds.runtime.data with parameters of type SparseRow
Modifier and Type
Method
Description
`void`
SparseRowVector.`copy(SparseRow that)`
`static SparseBlock`
SparseBlockFactory.`createSparseBlock(SparseBlock.Type type, SparseRow row)`
`abstract void`
SparseBlock.`set(int r, SparseRow row, boolean deep)`
Set the values of row r to the given sparse row.
`void`
SparseBlockCOO.`set(int r, SparseRow row, boolean deep)`
`void`
SparseBlockCSC.`set(int r, SparseRow row, boolean deep)`
`void`
SparseBlockCSR.`set(int r, SparseRow row, boolean deep)`
`void`
SparseBlockDCSR.`set(int r, SparseRow row, boolean deep)`
`void`
SparseBlockMCSC.`set(int r, SparseRow row, boolean deep)`
`void`
SparseBlockMCSR.`set(int r, SparseRow row, boolean deep)`
`void`
SparseBlockCSC.`setCol(int c, SparseRow col, boolean deep)`
`void`
SparseBlockMCSC.`setCol(int c, SparseRow col, boolean deep)`
Constructors in org.apache.sysds.runtime.data with parameters of type SparseRow
Modifier
Constructor
Description
``
`SparseBlockCOO(SparseRow[] rows, int nnz)`
Copy constructor old sparse row representation.
``
`SparseBlockCSC(SparseRow[] cols, int nnz)`
``
`SparseBlockCSR(SparseRow[] rows, int nnz)`
Copy constructor old sparse row representation.
``
`SparseBlockMCSC(SparseRow[] cols, boolean deep, int rlen)`
``
`SparseBlockMCSR(SparseRow[] rows, boolean deep)`
Copy constructor old sparse row representation.
``
`SparseRowVector(SparseRow that)`

## Uses of SparseRow in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type SparseRow
Modifier and Type
Method
Description
`void`
MatrixBlock.`appendRow(int r, SparseRow row)`
`void`
MatrixBlock.`appendRow(int r, SparseRow row, boolean deep)`